---
sidebar_label: BrowserContext.targets
---

# BrowserContext.targets() method

Gets all active [targets](./puppeteer.target.md) inside this [browser context](./puppeteer.browsercontext.md).

#### Signature:

```typescript
class BrowserContext {
  targets(): Target[];
}
```

**Returns:**

[Target](./puppeteer.target.md)\[\]
